using Cirno.Scripts.Components.Actors;
using Cirno.Scripts.Enums;
using Godot;

public partial class ActorAi : ActorModule 
{

    public EnemyState State { get; set; } = EnemyState.Idle;

    [Export] // Temp until the special actor tha sets it
    public AiState Ai { get; set; } = AiState.Disabled;

    protected Actor _actor;

    public override void Init(Actor actor)
    {
        _actor = actor;

        Ai = actor.StartingAiState;   
    }

    public override void PhysicsUpdate(double delta)
    {
        
    }

    public override void Update(double delta)
    {
        
    }
}